| link.h | Header File

Header File Index

Calc/calc and calc/computer link interface routines

Functions

getcalc
  Receives a variable (or program) from the link interface.
LIO_Get
  Gets a CBL file from the link interface.
LIO_GetMultiple
  Gets a multiple (???) from the link interface.
LIO_Receive
  Receives a file from the link interface.
LIO_RecvData
  Receives data from the link interface.
LIO_Send
  Sends a file through the link interface.
LIO_SendData
  Sends data through the link interface.
LIO_SendProduct
  Sends a product code through the link interface.
OSCheckSilentLink
  Checks the link state.
OSLinkClose
  Closes a low-level link communication.
OSLinkCmd
  Process the command received through the link port.
OSLinkOpen
  Opens low-level link communication.
OSLinkReset
  Resets the link interface.
OSLinkTxQueueActive
  Determines whether the transmit queue is active.
OSLinkTxQueueInquire
  Determines the number of free bytes in the transmit buffer.
OSReadLinkBlock
  Reads bytes from the link receive buffer.
OSWriteLinkBlock
  Inserts bytes into the link transmit buffer.
sendcalc
  Sends a variable (or program) through the link interface.

Constants

NULL
  A null-pointer value.

Predefined Types

Bool
  An enumeration to describe true or false values.
CESI
  Represents a pointer to a constant expression.
ESI
  Represents an index of a value on the TIOS expression stack.
ESQ
  Represents a quantum within an expression.
LIO_CTX
  A file context structure used in some high-level link commands.
size_t
  A type to define sizes of strings and memory blocks.
SYM_STR
  Represents a pointer to the terminating zero byte of a string.

Note: Some functions from this header file are straightforward and quite simple to use, but some of them require good knowledge of TI's communication protocols (much better than my knowledge about it, so don't ask me about details; protocol information can be found at http://www.ticalc.org/pub/text/calcinfo/tixx_guide.zip).